
Redmine - Feature #6167

Add option to weight parent task %-done based on the estimated time

2010-08-18 10:05 - Alexey Podlasov

Status: Closed Start date: 2010-08-18

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Calculation of parent's percentage depends on number of subtasks, not amount of days (hours). For example if your parent is of two

subtasks, one of 1 month, 100% done, second is one day, 0% done, the parent will be calculated 50% done, which is strange, since

second subtask is a tiny bit. I think calculation based on number of hours is more representative.

Related issues:

Related to Redmine - Feature #5490: Option for independent subtask priority/s... Closed 2010-05-10

Related to Redmine - Feature #3719: Automatical % Done regarding to Spent Tim... New 2009-08-06

History

#1 - 2010-08-25 10:42 - Moritz Voss

+1 absolutely. This should be an option - if an hour estimate exists, include an option to weigh tasks according to this, preferrably per-tracker. (we

have Plan, Issue and Porting trackers, only the plan has long items, where in the other two, the number of items counts).

#2 - 2010-12-30 06:30 - Mischa The Evil

- Tracker changed from Defect to Feature

- Subject changed from Parent task percentage wrong to Add option to weight parent task %-done based on the estimated time

#3 - 2011-04-27 08:07 - Bruno Medeiros

- Status changed from New to Resolved

- % Done changed from 0 to 100

Don't know since when, but it's already this way. See:

http://demo.redmine.org/issues/4334

Two childs:

c1 with 10 hours, 100% complete.

c2 with 20 hours, 0% complete.

parent completion is at 33%, correct.

#4 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#5 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

#6 - 2025-03-07 14:07 - Sebastian Novak

Instead of using hours or days, direct weighting can be used. Using this plugin, the main task's progress is then calculated using the weighted

average of its sub-tasks' completion percentages.
